ModuleInfo "Description: JV-ODE Physics Module"
ModuleInfo "Version: 1.00"
ModuleInfo "Author: Jim Williams"
ModuleInfo "License: See docs/JV-ODE-License.txt"
ModuleInfo "Copyright: Devious Codeworks   2008"
import brl.blitz
import pub.win32
dMaxUserClasses%=4
dSphereClass%=0
dBoxClass%=1
dCapsuleClass%=2
dCylinderClass%=3
dPlaneClass%=4
dRayClass%=5
dGeomTransformClass%=6
dTriMeshClass%=7
dFirstSpaceClass%=8
dSimpleSpaceClass%=8
dHashSpaceClass%=9
dQuadTreeSpaceClass%=10
dLastSpaceClass%=10
dFirstUserClass%=11
dLastUserClass%=14
dGeomNumClasses%=15
dJointTypeNone%=0
dJointTypeBall%=1
dJointTypeHinge%=2
dJointTypeSlider%=3
dJointTypeContact%=4
dJointTypeUniversal%=5
dJointTypeHinge2%=6
dJointTypeFixed%=7
dJointTypeNull%=8
dJointTypeAMotor%=9
dJointTypeLMotor%=10
dJointTypePlane2D%=11
dJointTypePR%=12
dJointTypePU%=13
dJointTypePiston%=14
dAMotorUser%=0
dAMotorEuler%=1
dParamLoStop%=0
dParamHiStop%=1
dParamVel%=2
dParamFMax%=3
dParamFudgeFactor%=4
dParamBounce%=5
dParamCFM%=6
dParamStopERP%=7
dParamStopCFM%=8
dParamSuspensionERP%=9
dParamSuspensionCFM%=10
dParamLoStop2%=256
dParamHiStop2%=257
dParamVel2%=258
dParamFMax2%=259
dParamFudgeFactor2%=260
dParamBounce2%=261
dParamCFM2%=262
dParamStopERP2%=263
dParamStopCFM2%=264
dParamSuspensionERP2%=265
dParamSuspensionCFM2%=266
dParamLoStop3%=512
dParamHiStop3%=513
dParamVel3%=514
dParamFMax3%=515
dParamFudgeFactor3%=516
dParamBounce3%=517
dParamCFM3%=518
dParamStopERP3%=519
dParamStopCFM3%=520
dParamSuspensionERP3%=521
dParamSuspensionCFM3%=522
dContactMu2%=1
dContactFDir1%=2
dContactBounce%=4
dContactSoftERP%=8
dContactSoftCFM%=16
dContactMotion1%=32
dContactMotion2%=64
dContactMotionN%=128
dContactSlip1%=256
dContactSlip2%=512
dContactApprox0%=0
dContactApprox1_1%=4096
dContactApprox1_2%=8192
dContactApprox1%=12288
dInfinity#=3.40282e+038#
FixFloat$(number#,afterpoint%=2,nearestdigit#=0.001#)="devcode_jvode_FixFloat"
JVODE%&=mem("devcode_jvode_JVODE")
dInitODE%()S&=mem:p("devcode_jvode_dInitODE")
dInitODE2%(initflags%)S&=mem:p("devcode_jvode_dInitODE2")
dAllocateODEDataForThread%(allocateflags%)S&=mem:p("devcode_jvode_dAllocateODEDataForThread")
dCleanupODEAllDataForThread%()S&=mem:p("devcode_jvode_dCleanupODEAllDataForThread")
dWorldCreate%()S&=mem:p("devcode_jvode_dWorldCreate")
dWorldDestroy%(world%)S&=mem:p("devcode_jvode_dWorldDestroy")
dWorldSetGravity%(world%,x#,y#,z#)S&=mem:p("devcode_jvode_dWorldSetGravity")
dWorldGetGravity%(world%)S&=mem:p("devcode_jvode_dWorldGetGravity")
dWorldSetERP%(world%,erp#)S&=mem:p("devcode_jvode_dWorldSetERP")
dWorldGetERP#(world%)S&=mem:p("devcode_jvode_dWorldGetERP")
dWorldSetCFM%(world%,cfm#)S&=mem:p("devcode_jvode_dWorldSetCFM")
dWorldGetCFM#(world%)S&=mem:p("devcode_jvode_dWorldGetCFM")
dWorldSetAutoDisableFlag%(world%,doautodisable%)S&=mem:p("devcode_jvode_dWorldSetAutoDisableFlag")
dWorldGetAutoDisableFlag%(world%)S&=mem:p("devcode_jvode_dWorldGetAutoDisableFlag")
dWorldSetAutoDisableLinearThreshold%(world%,lthreshold#)S&=mem:p("devcode_jvode_dWorldSetAutoDisableLinearThreshold")
dWorldGetAutoDisableLinearThreshold#(world%)S&=mem:p("devcode_jvode_dWorldGetAutoDisableLinearThreshold")
dWorldSetAutoDisableAngularThreshold%(world%,athreshold#)S&=mem:p("devcode_jvode_dWorldSetAutoDisableAngularThreshold")
dWorldGetAutoDisableAngularThreshold#(world%)S&=mem:p("devcode_jvode_dWorldGetAutoDisableAngularThreshold")
dWorldSetAutoDisableSteps%(world%,steps%)S&=mem:p("devcode_jvode_dWorldSetAutoDisableSteps")
dWorldGetAutoDisableSteps%(world%)S&=mem:p("devcode_jvode_dWorldGetAutoDisableSteps")
dWorldSetAutoDisableTime%(world%,time#)S&=mem:p("devcode_jvode_dWorldSetAutoDisableTime")
dWorldGetAutoDisableTime#(world%)S&=mem:p("devcode_jvode_dWorldGetAutoDisableTime")
dWorldImpulseToForce%(world%,stepsize#,ix#,iy#,iz#)S&=mem:p("devcode_jvode_dWorldImpulseToForce")
dCloseODE%()S&=mem:p("devcode_jvode_dCloseODE")
dWorldStep%(world%,stepsize#)S&=mem:p("devcode_jvode_dWorldStep")
dWorldQuickStep%(world%,stepsize#)S&=mem:p("devcode_jvode_dWorldQuickStep")
dWorldSetQuickStepNumIterations%(world%,num%)S&=mem:p("devcode_jvode_dWorldSetQuickStepNumIterations")
dWorldGetQuickStepNumIterations%(world%)S&=mem:p("devcode_jvode_dWorldGetQuickStepNumIterations")
dWorldSetContactMaxCorrectingVel%(world%,vel#)S&=mem:p("devcode_jvode_dWorldSetContactMaxCorrectingVel")
dWorldGetContactMaxCorrectingVel#(world%)S&=mem:p("devcode_jvode_dWorldGetContactMaxCorrectingVel")
dWorldSetContactSurfaceLayer%(world%,depth#)S&=mem:p("devcode_jvode_dWorldSetContactSurfaceLayer")
dWorldGetContactSurfaceLayer#(world%)S&=mem:p("devcode_jvode_dWorldGetContactSurfaceLayer")
dWorldStepFast1%(world%,stepsize#,maxiterations%)S&=mem:p("devcode_jvode_dWorldStepFast1")
dWorldSetAutoEnableDepthSF1%(world%,autoenabledepth%)S&=mem:p("devcode_jvode_dWorldSetAutoEnableDepthSF1")
dWorldGetAutoEnableDepthSF1%(world%)S&=mem:p("devcode_jvode_dWorldGetAutoEnableDepthSF1")
dWorldSetQuickStepW%(world%,overrelaxation#)S&=mem:p("devcode_jvode_dWorldSetQuickStepW")
dWorldGetQuickStepW#(world%)S&=mem:p("devcode_jvode_dWorldGetQuickStepW")
dWorldGetLinearDamping#(world%)S&=mem:p("devcode_jvode_dWorldGetLinearDamping")
dWorldGetAngularDamping#(world%)S&=mem:p("devcode_jvode_dWorldGetAngularDamping")
dWorldSetLinearDamping%(world%,scale#)S&=mem:p("devcode_jvode_dWorldSetLinearDamping")
dWorldSetAngularDamping%(world%,scale#)S&=mem:p("devcode_jvode_dWorldSetAngularDamping")
dWorldSetDamping%(world%,linear_scale#,angular_scale#)S&=mem:p("devcode_jvode_dWorldSetDamping")
dWorldGetLinearDampingThreshold#(world%)S&=mem:p("devcode_jvode_dWorldGetLinearDampingThreshold")
dWorldGetAngularDampingThreshold#(world%)S&=mem:p("devcode_jvode_dWorldGetAngularDampingThreshold")
dWorldSetLinearDampingThreshold%(world%,threshold#)S&=mem:p("devcode_jvode_dWorldSetLinearDampingThreshold")
dWorldSetAngularDampingThreshold%(world%,threshold#)S&=mem:p("devcode_jvode_dWorldSetAngularDampingThreshold")
dWorldGetMaxAngularSpeed#(world%)S&=mem:p("devcode_jvode_dWorldGetMaxAngularSpeed")
dWorldSetMaxAngularSpeed%(world%,max_speed#)S&=mem:p("devcode_jvode_dWorldSetMaxAngularSpeed")
dSimpleSpaceCreate%(space%)S&=mem:p("devcode_jvode_dSimpleSpaceCreate")
dHashSpaceCreate%(space%)S&=mem:p("devcode_jvode_dHashSpaceCreate")
dQuadTreeSpaceCreate%(space%,cx#,cy#,cz#,ex#,ey#,ez#,depth%)S&=mem:p("devcode_jvode_dQuadTreeSpaceCreate")
dSpaceDestroy%(space%)S&=mem:p("devcode_jvode_dSpaceDestroy")
dHashSpaceSetLevels%(space%,minlevel%,maxlevel%)S&=mem:p("devcode_jvode_dHashSpaceSetLevels")
dHashSpaceGetLevels%(space%)S&=mem:p("devcode_jvode_dHashSpaceGetLevels")
dSpaceSetCleanup%(space%,mode%)S&=mem:p("devcode_jvode_dSpaceSetCleanup")
dSpaceGetCleanup%(space%)S&=mem:p("devcode_jvode_dSpaceGetCleanup")
dSpaceAdd%(space%,geom%)S&=mem:p("devcode_jvode_dSpaceAdd")
dSpaceRemove%(space%,geom%)S&=mem:p("devcode_jvode_dSpaceRemove")
dSpaceQuery%(space%,geom%)S&=mem:p("devcode_jvode_dSpaceQuery")
dSpaceGetNumGeoms%(space%)S&=mem:p("devcode_jvode_dSpaceGetNumGeoms")
dSpaceGetGeom%(space%,index%)S&=mem:p("devcode_jvode_dSpaceGetGeom")
dSpaceSetSublevel%(space%,sublevel%)S&=mem:p("devcode_jvode_dSpaceSetSublevel")
dSpaceGetSublevel%(space%)S&=mem:p("devcode_jvode_dSpaceGetSublevel")
dSpaceGetClass%(space%)S&=mem:p("devcode_jvode_dSpaceGetClass")
dSweepAndPruneSpaceCreate%(space%,axisorder%)S&=mem:p("devcode_jvode_dSweepAndPruneSpaceCreate")
dBodyCreate%(world%)S&=mem:p("devcode_jvode_dBodyCreate")
dBodyDestroy%(body%)S&=mem:p("devcode_jvode_dBodyDestroy")
dBodySetPosition%(body%,x#,y#,z#)S&=mem:p("devcode_jvode_dBodySetPosition")
dBodySetRotation%(body%,pitch#,yaw#,roll#)S&=mem:p("devcode_jvode_dBodySetRotation")
dBodySetQuaternion%(body%,qw#,qx#,qy#,qz#)S&=mem:p("devcode_jvode_dBodySetQuaternion")
dBodySetAxisAngle%(body%,angle#,rx#,ry#,rz#)S&=mem:p("devcode_jvode_dBodySetAxisAngle")
dBodySetLinearVel%(body%,x#,y#,z#)S&=mem:p("devcode_jvode_dBodySetLinearVel")
dBodySetAngularVel%(body%,x#,y#,z#)S&=mem:p("devcode_jvode_dBodySetAngularVel")
dBodyGetPosition%(body%)S&=mem:p("devcode_jvode_dBodyGetPosition")
dBodyGetPositionX#(body%)S&=mem:p("devcode_jvode_dBodyGetPositionX")
dBodyGetPositionY#(body%)S&=mem:p("devcode_jvode_dBodyGetPositionY")
dBodyGetPositionZ#(body%)S&=mem:p("devcode_jvode_dBodyGetPositionZ")
dBodyGetRotation%(body%)S&=mem:p("devcode_jvode_dBodyGetRotation")
dBodyGetQuaternion%(body%)S&=mem:p("devcode_jvode_dBodyGetQuaternion")
dBodyGetAxisAngle%(body%)S&=mem:p("devcode_jvode_dBodyGetAxisAngle")
dBodyGetPitch#(body%)S&=mem:p("devcode_jvode_dBodyGetPitch")
dBodyGetYaw#(body%)S&=mem:p("devcode_jvode_dBodyGetYaw")
dBodyGetRoll#(body%)S&=mem:p("devcode_jvode_dBodyGetRoll")
dBodyGetLinearVel%(body%)S&=mem:p("devcode_jvode_dBodyGetLinearVel")
dBodyGetLinearVelX#(body%)S&=mem:p("devcode_jvode_dBodyGetLinearVelX")
dBodyGetLinearVelY#(body%)S&=mem:p("devcode_jvode_dBodyGetLinearVelY")
dBodyGetLinearVelZ#(body%)S&=mem:p("devcode_jvode_dBodyGetLinearVelZ")
dBodyGetAngularVel%(body%)S&=mem:p("devcode_jvode_dBodyGetAngularVel")
dBodyGetAngularVelX#(body%)S&=mem:p("devcode_jvode_dBodyGetAngularVelX")
dBodyGetAngularVelY#(body%)S&=mem:p("devcode_jvode_dBodyGetAngularVelY")
dBodyGetAngularVelZ#(body%)S&=mem:p("devcode_jvode_dBodyGetAngularVelZ")
dBodySetMass%(body%,mass%)S&=mem:p("devcode_jvode_dBodySetMass")
dBodyGetMass#(body%)S&=mem:p("devcode_jvode_dBodyGetMass")
dBodyAddForce%(body%,fx#,fy#,fz#)S&=mem:p("devcode_jvode_dBodyAddForce")
dBodyAddTorque%(body%,fx#,fy#,fz#)S&=mem:p("devcode_jvode_dBodyAddTorque")
dBodyAddRelForce%(body%,fx#,fy#,fz#)S&=mem:p("devcode_jvode_dBodyAddRelForce")
dBodyAddRelTorque%(body%,fx#,fy#,fz#)S&=mem:p("devcode_jvode_dBodyAddRelTorque")
dBodyAddForceAtPos%(body%,fx#,fy#,fz#,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyAddForceAtPos")
dBodyAddForceAtRelPos%(body%,fx#,fy#,fz#,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyAddForceAtRelPos")
dBodyAddRelForceAtPos%(body%,fx#,fy#,fz#,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyAddRelForceAtPos")
dBodyAddRelForceAtRelPos%(body%,fx#,fy#,fz#,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyAddRelForceAtRelPos")
dBodyGetForce%(body%)S&=mem:p("devcode_jvode_dBodyGetForce")
dBodyGetTorque%(body%)S&=mem:p("devcode_jvode_dBodyGetTorque")
dBodySetForce%(body%,x#,y#,z#)S&=mem:p("devcode_jvode_dBodySetForce")
dBodySetTorque%(body%,x#,y#,z#)S&=mem:p("devcode_jvode_dBodySetTorque")
dBodyGetRelPointPos%(body%,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyGetRelPointPos")
dBodyGetRelPointVel%(body%,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyGetRelPointVel")
dBodyGetPointVel%(body%,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyGetPointVel")
dBodyGetPosRelPoint%(body%,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyGetPosRelPoint")
dBodyVectorToWorld%(body%,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyVectorToWorld")
dBodyVectorFromWorld%(body%,px#,py#,pz#)S&=mem:p("devcode_jvode_dBodyVectorFromWorld")
dBodyEnable%(body%)S&=mem:p("devcode_jvode_dBodyEnable")
dBodyDisable%(body%)S&=mem:p("devcode_jvode_dBodyDisable")
dBodyIsEnabled%(body%)S&=mem:p("devcode_jvode_dBodyIsEnabled")
dBodySetAutoDisableFlag%(body%,doautodisable%)S&=mem:p("devcode_jvode_dBodySetAutoDisableFlag")
dBodyGetAutoDisableFlag%(body%)S&=mem:p("devcode_jvode_dBodyGetAutoDisableFlag")
dBodySetAutoDisableLinearThreshold%(body%,lthreshold#)S&=mem:p("devcode_jvode_dBodySetAutoDisableLinearThreshold")
dBodyGetAutoDisableLinearThreshold#(body%)S&=mem:p("devcode_jvode_dBodyGetAutoDisableLinearThreshold")
dBodySetAutoDisableAngularThreshold%(body%,athreshold#)S&=mem:p("devcode_jvode_dBodySetAutoDisableAngularThreshold")
dBodyGetAutoDisableAngularThreshold#(body%)S&=mem:p("devcode_jvode_dBodyGetAutoDisableAngularThreshold")
dBodySetAutoDisableSteps%(body%,steps%)S&=mem:p("devcode_jvode_dBodySetAutoDisableSteps")
dBodyGetAutoDisableSteps%(body%)S&=mem:p("devcode_jvode_dBodyGetAutoDisableSteps")
dBodySetAutoDisableTime%(body%,time#)S&=mem:p("devcode_jvode_dBodySetAutoDisableTime")
dBodyGetAutoDisableTime#(body%)S&=mem:p("devcode_jvode_dBodyGetAutoDisableTime")
dBodySetAutoDisableAverageSamplesCount%(body%,averagesamplescount%)S&=mem:p("devcode_jvode_dBodySetAutoDisableAverageSamplesCount")
dBodyGetAutoDisableAverageSamplesCount%(body%)S&=mem:p("devcode_jvode_dBodyGetAutoDisableAverageSamplesCount")
dBodySetAutoDisableDefaults%(body%)S&=mem:p("devcode_jvode_dBodySetAutoDisableDefaults")
dBodySetData%(body%,data%)S&=mem:p("devcode_jvode_dBodySetData")
dBodyGetData%(body%)S&=mem:p("devcode_jvode_dBodyGetData")
dBodySetFiniteRotationMode%(body%,mode%)S&=mem:p("devcode_jvode_dBodySetFiniteRotationMode")
dBodyGetFiniteRotationMode%(body%)S&=mem:p("devcode_jvode_dBodyGetFiniteRotationMode")
dBodySetFiniteRotationAxis%(body%,x#,y#,z#)S&=mem:p("devcode_jvode_dBodySetFiniteRotationAxis")
dBodyGetFiniteRotationAxis%(body%)S&=mem:p("devcode_jvode_dBodyGetFiniteRotationAxis")
dBodyGetNumJoints%(body%)S&=mem:p("devcode_jvode_dBodyGetNumJoints")
dBodyGetJoint%(body%,index%)S&=mem:p("devcode_jvode_dBodyGetJoint")
dBodyGetWorld%(body%)S&=mem:p("devcode_jvode_dBodyGetWorld")
dBodySetGravityMode%(body%,mode%)S&=mem:p("devcode_jvode_dBodySetGravityMode")
dBodyGetGravityMode%(body%)S&=mem:p("devcode_jvode_dBodyGetGravityMode")
dBodyGetLinearDamping#(body%)S&=mem:p("devcode_jvode_dBodyGetLinearDamping")
dBodyGetAngularDamping#(body%)S&=mem:p("devcode_jvode_dBodyGetAngularDamping")
dBodySetLinearDamping%(body%,scale#)S&=mem:p("devcode_jvode_dBodySetLinearDamping")
dBodySetAngularDamping%(body%,scale#)S&=mem:p("devcode_jvode_dBodySetAngularDamping")
dBodySetDamping%(body%,linear_scale#,angular_scale#)S&=mem:p("devcode_jvode_dBodySetDamping")
dBodyGetLinearDampingThreshold#(body%)S&=mem:p("devcode_jvode_dBodyGetLinearDampingThreshold")
dBodyGetAngularDampingThreshold#(body%)S&=mem:p("devcode_jvode_dBodyGetAngularDampingThreshold")
dBodySetLinearDampingThreshold%(body%,threshold#)S&=mem:p("devcode_jvode_dBodySetLinearDampingThreshold")
dBodySetAngularDampingThreshold%(body%,threshold#)S&=mem:p("devcode_jvode_dBodySetAngularDampingThreshold")
dBodySetDampingDefaults%(body%)S&=mem:p("devcode_jvode_dBodySetDampingDefaults")
dBodyGetMaxAngularSpeed#(body%)S&=mem:p("devcode_jvode_dBodyGetMaxAngularSpeed")
dBodySetMaxAngularSpeed%(body%,max_speed#)S&=mem:p("devcode_jvode_dBodySetMaxAngularSpeed")
dBodyGetFirstGeom%(body%)S&=mem:p("devcode_jvode_dBodyGetFirstGeom")
dBodyGetNextGeom%(geom%)S&=mem:p("devcode_jvode_dBodyGetNextGeom")
dGeomDestroy%(geom%)S&=mem:p("devcode_jvode_dGeomDestroy")
dGeomSetData%(geom%,data%)S&=mem:p("devcode_jvode_dGeomSetData")
dGeomGetData%(geom%)S&=mem:p("devcode_jvode_dGeomGetData")
dGeomSetBody%(geom%,body%)S&=mem:p("devcode_jvode_dGeomSetBody")
dGeomGetBody%(geom%)S&=mem:p("devcode_jvode_dGeomGetBody")
dGeomSetPosition%(geom%,x#,y#,z#)S&=mem:p("devcode_jvode_dGeomSetPosition")
dGeomSetRotation%(geom%,pitch#,yaw#,roll#)S&=mem:p("devcode_jvode_dGeomSetRotation")
dGeomSetQuaternion%(geom%,qw#,qx#,qy#,qz#)S&=mem:p("devcode_jvode_dGeomSetQuaternion")
dGeomSetAxisAngle%(geom%,angle#,rx#,ry#,rz#)S&=mem:p("devcode_jvode_dGeomSetAxisAngle")
dGeomGetPosition%(geom%)S&=mem:p("devcode_jvode_dGeomGetPosition")
dGeomGetPositionX#(geom%)S&=mem:p("devcode_jvode_dGeomGetPositionX")
dGeomGetPositionY#(geom%)S&=mem:p("devcode_jvode_dGeomGetPositionY")
dGeomGetPositionZ#(geom%)S&=mem:p("devcode_jvode_dGeomGetPositionZ")
dGeomGetRotation%(geom%)S&=mem:p("devcode_jvode_dGeomGetRotation")
dGeomGetQuaternion%(geom%)S&=mem:p("devcode_jvode_dGeomGetQuaternion")
dGeomGetAxisAngle%(geom%)S&=mem:p("devcode_jvode_dGeomGetAxisAngle")
dGeomGetPitch#(geom%)S&=mem:p("devcode_jvode_dGeomGetPitch")
dGeomGetYaw#(geom%)S&=mem:p("devcode_jvode_dGeomGetYaw")
dGeomGetRoll#(geom%)S&=mem:p("devcode_jvode_dGeomGetRoll")
dGeomGetAABBMin%(geom%)S&=mem:p("devcode_jvode_dGeomGetAABBMin")
dGeomGetAABBMax%(geom%)S&=mem:p("devcode_jvode_dGeomGetAABBMax")
dGeomIsSpace%(geom%)S&=mem:p("devcode_jvode_dGeomIsSpace")
dGeomGetSpace%(geom%)S&=mem:p("devcode_jvode_dGeomGetSpace")
dGeomGetClass%(geom%)S&=mem:p("devcode_jvode_dGeomGetClass")
dGeomSetCategoryBits%(geom%,bits%)S&=mem:p("devcode_jvode_dGeomSetCategoryBits")
dGeomSetCollideBits%(geom%,bits%)S&=mem:p("devcode_jvode_dGeomSetCollideBits")
dGeomGetCategoryBits%(geom%)S&=mem:p("devcode_jvode_dGeomGetCategoryBits")
dGeomGetCollideBits%(geom%)S&=mem:p("devcode_jvode_dGeomGetCollideBits")
dGeomEnable%(geom%)S&=mem:p("devcode_jvode_dGeomEnable")
dGeomDisable%(geom%)S&=mem:p("devcode_jvode_dGeomDisable")
dGeomIsEnabled%(geom%)S&=mem:p("devcode_jvode_dGeomIsEnabled")
dCreateSphere%(space%,radius#)S&=mem:p("devcode_jvode_dCreateSphere")
dGeomSphereSetRadius%(sphere%,radius#)S&=mem:p("devcode_jvode_dGeomSphereSetRadius")
dGeomSphereGetRadius#(sphere%)S&=mem:p("devcode_jvode_dGeomSphereGetRadius")
dGeomSpherePointDepth#(sphere%,x#,y#,z#)S&=mem:p("devcode_jvode_dGeomSpherePointDepth")
dCreateBox%(space%,lx#,ly#,lz#)S&=mem:p("devcode_jvode_dCreateBox")
dGeomBoxSetLengths%(box%,lx#,ly#,lz#)S&=mem:p("devcode_jvode_dGeomBoxSetLengths")
dGeomBoxGetLengths%(box%)S&=mem:p("devcode_jvode_dGeomBoxGetLengths")
dGeomBoxPointDepth#(box%,x#,y#,z#)S&=mem:p("devcode_jvode_dGeomBoxPointDepth")
dCreatePlane%(space%,a#,b#,c#,d#)S&=mem:p("devcode_jvode_dCreatePlane")
dGeomPlaneSetParams%(plane%,a#,b#,c#,d#)S&=mem:p("devcode_jvode_dGeomPlaneSetParams")
dGeomPlaneGetParams%(plane%)S&=mem:p("devcode_jvode_dGeomPlaneGetParams")
dGeomPlanePointDepth#(plane%,x#,y#,z#)S&=mem:p("devcode_jvode_dGeomPlanePointDepth")
dCreateCylinder%(space%,radius#,length#)S&=mem:p("devcode_jvode_dCreateCylinder")
dGeomCylinderSetParams%(cylinder%,radius#,length#)S&=mem:p("devcode_jvode_dGeomCylinderSetParams")
dGeomCylinderGetParams%(cylinder%)S&=mem:p("devcode_jvode_dGeomCylinderGetParams")
dCreateCCylinder%(space%,radius#,length#)S&=mem:p("devcode_jvode_dCreateCCylinder")
dGeomCCylinderSetParams%(ccylinder%,radius#,length#)S&=mem:p("devcode_jvode_dGeomCCylinderSetParams")
dGeomCCylinderGetParams%(ccylinder%)S&=mem:p("devcode_jvode_dGeomCCylinderGetParams")
dGeomCCylinderPointDepth#(ccylinder%,x#,y#,z#)S&=mem:p("devcode_jvode_dGeomCCylinderPointDepth")
dCreateRay%(space%,length#)S&=mem:p("devcode_jvode_dCreateRay")
dGeomRaySetLength%(ray%,length#)S&=mem:p("devcode_jvode_dGeomRaySetLength")
dGeomRayGetLength#(ray%)S&=mem:p("devcode_jvode_dGeomRayGetLength")
dGeomRaySet%(ray%,px#,py#,pz#,dx#,dy#,dz#)S&=mem:p("devcode_jvode_dGeomRaySet")
dGeomRayGetStart%(ray%)S&=mem:p("devcode_jvode_dGeomRayGetStart")
dGeomRayGetDir%(ray%)S&=mem:p("devcode_jvode_dGeomRayGetDir")
dGeomTriMeshDataCreate%()S&=mem:p("devcode_jvode_dGeomTriMeshDataCreate")
dGeomTriMeshDataDestroy%(trimeshdata%)S&=mem:p("devcode_jvode_dGeomTriMeshDataDestroy")
dGeomTriMeshDataBuildSingle%(trimeshdata%,vertices@*,vtxstride%,vtxcount%,indices@*,idxcount%,tristride%)S&=mem:p("devcode_jvode_dGeomTriMeshDataBuildSingle")
dGeomTriMeshDataBuildSingle1%(trimeshdata%,vertices@*,vtxstride%,vtxcount%,indices@*,idxcount%,tristride%,normals@*)S&=mem:p("devcode_jvode_dGeomTriMeshDataBuildSingle1")
dGeomTriMeshDataBuildSimple%(trimeshdata%,vertices@*,vtxcount%,indices@*,idxcount%)S&=mem:p("devcode_jvode_dGeomTriMeshDataBuildSimple")
dCreateTriMesh%(space%,trimeshdata%)S&=mem:p("devcode_jvode_dCreateTriMesh")
dCreateGeomTransform%(space%)S&=mem:p("devcode_jvode_dCreateGeomTransform")
dGeomTransformSetGeom%(geoma%,geomb%)S&=mem:p("devcode_jvode_dGeomTransformSetGeom")
dGeomTransformGetGeom%(geom%)S&=mem:p("devcode_jvode_dGeomTransformGetGeom")
dGeomTransformSetCleanup%(geom%,mode%)S&=mem:p("devcode_jvode_dGeomTransformSetCleanup")
dGeomTransformGetCleanup%(geom%)S&=mem:p("devcode_jvode_dGeomTransformGetCleanup")
dGeomTransformSetInfo%(geom%,mode%)S&=mem:p("devcode_jvode_dGeomTransformSetInfo")
dGeomTransformGetInfo%(geom%)S&=mem:p("devcode_jvode_dGeomTransformGetInfo")
dGeomSetOffsetPosition%(geom%,x#,y#,z#)S&=mem:p("devcode_jvode_dGeomSetOffsetPosition")
dGeomSetOffsetRotation%(geom%,pitch#,yaw#,roll#)S&=mem:p("devcode_jvode_dGeomSetOffsetRotation")
dGeomSetOffsetQuaternion%(geom%,qw#,qx#,qy#,qz#)S&=mem:p("devcode_jvode_dGeomSetOffsetQuaternion")
dGeomSetOffsetAxisAngle%(geom%,angle#,rx#,ry#,rz#)S&=mem:p("devcode_jvode_dGeomSetOffsetAxisAngle")
dGeomSetOffsetWorldPosition%(geom%,x#,y#,z#)S&=mem:p("devcode_jvode_dGeomSetOffsetWorldPosition")
dGeomSetOffsetWorldRotation%(geom%,pitch#,yaw#,roll#)S&=mem:p("devcode_jvode_dGeomSetOffsetWorldRotation")
dGeomSetOffsetWorldQuaternion%(geom%,qw#,qx#,qy#,qz#)S&=mem:p("devcode_jvode_dGeomSetOffsetWorldQuaternion")
dGeomSetOffsetWorldAxisAngle%(geom%,angle#,rx#,ry#,rz#)S&=mem:p("devcode_jvode_dGeomSetOffsetWorldAxisAngle")
dGeomClearOffset%(geom%)S&=mem:p("devcode_jvode_dGeomClearOffset")
dGeomIsOffset%(geom%)S&=mem:p("devcode_jvode_dGeomIsOffset")
dGeomGetOffsetPosition%(geom%)S&=mem:p("devcode_jvode_dGeomGetOffsetPosition")
dGeomGetOffsetRotation%(geom%)S&=mem:p("devcode_jvode_dGeomGetOffsetRotation")
dGeomGetOffsetQuaternion%(geom%)S&=mem:p("devcode_jvode_dGeomGetOffsetQuaternion")
dGeomGetOffsetAxisAngle%(geom%)S&=mem:p("devcode_jvode_dGeomGetOffsetAxisAngle")
dCreateCapsule%(space%,radius#,length#)S&=mem:p("devcode_jvode_dCreateCapsule")
dGeomCapsuleSetParams%(capsule%,radius#,length#)S&=mem:p("devcode_jvode_dGeomCapsuleSetParams")
dGeomCapsuleGetParams%(capsule%)S&=mem:p("devcode_jvode_dGeomCapsuleGetParams")
dGeomCapsulePointDepth#(capsule%,x#,y#,z#)S&=mem:p("devcode_jvode_dGeomCapsulePointDepth")
dCreateHeightfield%(space%,heightdata%,bplaceable%)S&=mem:p("devcode_jvode_dCreateHeightfield")
dGeomHeightfieldDataCreate%()S&=mem:p("devcode_jvode_dGeomHeightfieldDataCreate")
dGeomHeightfieldDataDestroy%(heightdata%)S&=mem:p("devcode_jvode_dGeomHeightfieldDataDestroy")
dGeomHeightfieldDataBuildSingle%(heightdata%,pheightdata@*,bcopyheightdata%,width#,depth#,widthsamples%,depthsamples%,scale#,offset#,thickness#,bwrap%)S&=mem:p("devcode_jvode_dGeomHeightfieldDataBuildSingle")
dGeomHeightfieldDataSetBounds%(heightdata%,minheight#,maxheight#)S&=mem:p("devcode_jvode_dGeomHeightfieldDataSetBounds")
dGeomHeightfieldSetHeightfieldData%(geom%,heightdata%)S&=mem:p("devcode_jvode_dGeomHeightfieldSetHeightfieldData")
dGeomHeightfieldGetHeightfieldData%(geom%)S&=mem:p("devcode_jvode_dGeomHeightfieldGetHeightfieldData")
dCreateConvex%(space%,planes@*,planecount%,points@*,pointcount%,polygons@*)S&=mem:p("devcode_jvode_dCreateConvex")
dGeomSetConvex%(geom%,planes@*,planecount%,points@*,pointcount%,polygons@*)S&=mem:p("devcode_jvode_dGeomSetConvex")
dJointCreateBall%(world%,group%)S&=mem:p("devcode_jvode_dJointCreateBall")
dJointSetBallAnchor%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetBallAnchor")
dJointSetBallAnchor2%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetBallAnchor2")
dJointSetBallParam%(joint%,param%,value#)S&=mem:p("devcode_jvode_dJointSetBallParam")
dJointGetBallAnchor%(joint%)S&=mem:p("devcode_jvode_dJointGetBallAnchor")
dJointGetBallAnchor2%(joint%)S&=mem:p("devcode_jvode_dJointGetBallAnchor2")
dJointGetBallParam#(joint%,param%)S&=mem:p("devcode_jvode_dJointGetBallParam")
dJointCreateHinge%(world%,group%)S&=mem:p("devcode_jvode_dJointCreateHinge")
dJointSetHingeAnchor%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetHingeAnchor")
dJointSetHingeAnchorDelta%(joint%,x#,y#,z#,ax#,ay#,az#)S&=mem:p("devcode_jvode_dJointSetHingeAnchorDelta")
dJointSetHingeAxis%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetHingeAxis")
dJointSetHingeAxisOffset%(joint%,x#,y#,z#,angle#)S&=mem:p("devcode_jvode_dJointSetHingeAxisOffset")
dJointSetHingeParam%(joint%,param%,value#)S&=mem:p("devcode_jvode_dJointSetHingeParam")
dJointAddHingeTorque%(joint%,torque#)S&=mem:p("devcode_jvode_dJointAddHingeTorque")
dJointGetHingeAnchor%(joint%)S&=mem:p("devcode_jvode_dJointGetHingeAnchor")
dJointGetHingeAnchor2%(joint%)S&=mem:p("devcode_jvode_dJointGetHingeAnchor2")
dJointGetHingeAxis%(joint%)S&=mem:p("devcode_jvode_dJointGetHingeAxis")
dJointGetHingeAngle#(joint%)S&=mem:p("devcode_jvode_dJointGetHingeAngle")
dJointGetHingeAngleRate#(joint%)S&=mem:p("devcode_jvode_dJointGetHingeAngleRate")
dJointGetHingeParam#(joint%,param%)S&=mem:p("devcode_jvode_dJointGetHingeParam")
dJointCreateSlider%(world%,group%)S&=mem:p("devcode_jvode_dJointCreateSlider")
dJointSetSliderAxis%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetSliderAxis")
dJointSetSliderAxisDelta%(joint%,x#,y#,z#,ax#,ay#,az#)S&=mem:p("devcode_jvode_dJointSetSliderAxisDelta")
dJointSetSliderParam%(joint%,param%,value#)S&=mem:p("devcode_jvode_dJointSetSliderParam")
dJointAddSliderForce%(joint%,force#)S&=mem:p("devcode_jvode_dJointAddSliderForce")
dJointGetSliderAxis%(joint%)S&=mem:p("devcode_jvode_dJointGetSliderAxis")
dJointGetSliderPosition#(joint%)S&=mem:p("devcode_jvode_dJointGetSliderPosition")
dJointGetSliderPositionRate#(joint%)S&=mem:p("devcode_jvode_dJointGetSliderPositionRate")
dJointGetSliderParam#(joint%,param%)S&=mem:p("devcode_jvode_dJointGetSliderParam")
dJointCreateUniversal%(world%,group%)S&=mem:p("devcode_jvode_dJointCreateUniversal")
dJointSetUniversalAnchor%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetUniversalAnchor")
dJointSetUniversalAxis1%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetUniversalAxis1")
dJointSetUniversalAxis2%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetUniversalAxis2")
dJointSetUniversalParam%(joint%,param%,value#)S&=mem:p("devcode_jvode_dJointSetUniversalParam")
dJointAddUniversalTorques%(joint%,torque1#,torque2#)S&=mem:p("devcode_jvode_dJointAddUniversalTorques")
dJointGetUniversalAnchor%(joint%)S&=mem:p("devcode_jvode_dJointGetUniversalAnchor")
dJointGetUniversalAnchor2%(joint%)S&=mem:p("devcode_jvode_dJointGetUniversalAnchor2")
dJointGetUniversalAxis1%(joint%)S&=mem:p("devcode_jvode_dJointGetUniversalAxis1")
dJointGetUniversalAxis2%(joint%)S&=mem:p("devcode_jvode_dJointGetUniversalAxis2")
dJointGetUniversalAngles%(joint%)S&=mem:p("devcode_jvode_dJointGetUniversalAngles")
dJointGetUniversalAngle1#(joint%)S&=mem:p("devcode_jvode_dJointGetUniversalAngle1")
dJointGetUniversalAngle2#(joint%)S&=mem:p("devcode_jvode_dJointGetUniversalAngle2")
dJointGetUniversalAngle1Rate#(joint%)S&=mem:p("devcode_jvode_dJointGetUniversalAngle1Rate")
dJointGetUniversalAngle2Rate#(joint%)S&=mem:p("devcode_jvode_dJointGetUniversalAngle2Rate")
dJointGetUniversalParam#(joint%,param%)S&=mem:p("devcode_jvode_dJointGetUniversalParam")
dJointCreateHinge2%(world%,group%)S&=mem:p("devcode_jvode_dJointCreateHinge2")
dJointSetHinge2Anchor%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetHinge2Anchor")
dJointSetHinge2Axis1%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetHinge2Axis1")
dJointSetHinge2Axis2%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetHinge2Axis2")
dJointSetHinge2Param%(joint%,param%,value#)S&=mem:p("devcode_jvode_dJointSetHinge2Param")
dJointAddHinge2Torques%(joint%,torque1#,torque2#)S&=mem:p("devcode_jvode_dJointAddHinge2Torques")
dJointGetHinge2Anchor%(joint%)S&=mem:p("devcode_jvode_dJointGetHinge2Anchor")
dJointGetHinge2Anchor2%(joint%)S&=mem:p("devcode_jvode_dJointGetHinge2Anchor2")
dJointGetHinge2Axis1%(joint%)S&=mem:p("devcode_jvode_dJointGetHinge2Axis1")
dJointGetHinge2Axis2%(joint%)S&=mem:p("devcode_jvode_dJointGetHinge2Axis2")
dJointGetHinge2Angle1#(joint%)S&=mem:p("devcode_jvode_dJointGetHinge2Angle1")
dJointGetHinge2Angle1Rate#(joint%)S&=mem:p("devcode_jvode_dJointGetHinge2Angle1Rate")
dJointGetHinge2Angle2Rate#(joint%)S&=mem:p("devcode_jvode_dJointGetHinge2Angle2Rate")
dJointGetHinge2Param#(joint%,param%)S&=mem:p("devcode_jvode_dJointGetHinge2Param")
dJointCreateFixed%(world%,group%)S&=mem:p("devcode_jvode_dJointCreateFixed")
dJointSetFixed%(joint%)S&=mem:p("devcode_jvode_dJointSetFixed")
dJointSetFixedParam%(joint%,param%,value#)S&=mem:p("devcode_jvode_dJointSetFixedParam")
dJointGetFixedParam#(joint%,param%)S&=mem:p("devcode_jvode_dJointGetFixedParam")
dJointCreateAMotor%(world%,group%)S&=mem:p("devcode_jvode_dJointCreateAMotor")
dJointSetAMotorMode%(joint%,mode%)S&=mem:p("devcode_jvode_dJointSetAMotorMode")
dJointSetAMotorNumAxes%(joint%,num%)S&=mem:p("devcode_jvode_dJointSetAMotorNumAxes")
dJointSetAMotorAxis%(joint%,num%,rel%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetAMotorAxis")
dJointSetAMotorAngle%(joint%,num%,angle#)S&=mem:p("devcode_jvode_dJointSetAMotorAngle")
dJointSetAMotorParam%(joint%,param%,value#)S&=mem:p("devcode_jvode_dJointSetAMotorParam")
dJointAddAMotorTorques%(joint%,torque0#,torque1#,torque2#)S&=mem:p("devcode_jvode_dJointAddAMotorTorques")
dJointGetAMotorMode%(joint%)S&=mem:p("devcode_jvode_dJointGetAMotorMode")
dJointGetAMotorNumAxes%(joint%)S&=mem:p("devcode_jvode_dJointGetAMotorNumAxes")
dJointGetAMotorAxis%(joint%,num%)S&=mem:p("devcode_jvode_dJointGetAMotorAxis")
dJointGetAMotorAxisRel%(joint%,num%)S&=mem:p("devcode_jvode_dJointGetAMotorAxisRel")
dJointGetAMotorAngle#(joint%,num%)S&=mem:p("devcode_jvode_dJointGetAMotorAngle")
dJointGetAMotorAngleRate#(joint%,num%)S&=mem:p("devcode_jvode_dJointGetAMotorAngleRate")
dJointGetAMotorParam#(joint%,param%)S&=mem:p("devcode_jvode_dJointGetAMotorParam")
dJointDestroy%(joint%)S&=mem:p("devcode_jvode_dJointDestroy")
dJointGroupCreate%(maxsize%)S&=mem:p("devcode_jvode_dJointGroupCreate")
dJointGroupDestroy%(group%)S&=mem:p("devcode_jvode_dJointGroupDestroy")
dJointGroupEmpty%(group%)S&=mem:p("devcode_jvode_dJointGroupEmpty")
dJointAttach%(joint%,body1%,body2%)S&=mem:p("devcode_jvode_dJointAttach")
dJointSetData%(joint%,data%)S&=mem:p("devcode_jvode_dJointSetData")
dJointGetData%(joint%)S&=mem:p("devcode_jvode_dJointGetData")
dJointGetType%(joint%)S&=mem:p("devcode_jvode_dJointGetType")
dJointGetBody%(joint%,index%)S&=mem:p("devcode_jvode_dJointGetBody")
dJointFeedbackEnable%(joint%)S&=mem:p("devcode_jvode_dJointFeedbackEnable")
dJointFeedbackDisable%(joint%)S&=mem:p("devcode_jvode_dJointFeedbackDisable")
dJointFeedbackIsEnabled%(joint%)S&=mem:p("devcode_jvode_dJointFeedbackIsEnabled")
dJointSetFeedback%(joint%,feedback%)S&=mem:p("devcode_jvode_dJointSetFeedback")
dJointGetFeedbackForce1%(joint%)S&=mem:p("devcode_jvode_dJointGetFeedbackForce1")
dJointGetFeedbackTorque1%(joint%)S&=mem:p("devcode_jvode_dJointGetFeedbackTorque1")
dJointGetFeedbackForce2%(joint%)S&=mem:p("devcode_jvode_dJointGetFeedbackForce2")
dJointGetFeedbackTorque2%(joint%)S&=mem:p("devcode_jvode_dJointGetFeedbackTorque2")
dAreConnected%(body1%,body2%)S&=mem:p("devcode_jvode_dAreConnected")
dAreConnectedExcluding%(body1%,body2%,jointtype%)S&=mem:p("devcode_jvode_dAreConnectedExcluding")
dConnectingJoint%(body1%,body2%)S&=mem:p("devcode_jvode_dConnectingJoint")
dJointCreateLMotor%(world%,group%)S&=mem:p("devcode_jvode_dJointCreateLMotor")
dJointSetLMotorNumAxes%(joint%,num%)S&=mem:p("devcode_jvode_dJointSetLMotorNumAxes")
dJointSetLMotorAxis%(joint%,anum%,rel%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetLMotorAxis")
dJointSetLMotorParam%(joint%,parameter%,value#)S&=mem:p("devcode_jvode_dJointSetLMotorParam")
dJointGetLMotorNumAxes%(joint%)S&=mem:p("devcode_jvode_dJointGetLMotorNumAxes")
dJointGetLMotorAxis%(joint%,anum%)S&=mem:p("devcode_jvode_dJointGetLMotorAxis")
dJointGetLMotorParam#(joint%,parameter%)S&=mem:p("devcode_jvode_dJointGetLMotorParam")
dJointCreatePlane2D%(world%,group%)S&=mem:p("devcode_jvode_dJointCreatePlane2D")
dJointSetPlane2DXParam%(joint%,parameter%,value#)S&=mem:p("devcode_jvode_dJointSetPlane2DXParam")
dJointSetPlane2DYParam%(joint%,parameter%,value#)S&=mem:p("devcode_jvode_dJointSetPlane2DYParam")
dJointSetPlane2DAngleParam%(joint%,parameter%,value#)S&=mem:p("devcode_jvode_dJointSetPlane2DAngleParam")
dJointCreatePR%(world%,group%)S&=mem:p("devcode_jvode_dJointCreatePR")
dJointSetPRAnchor%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPRAnchor")
dJointSetPRAxis1%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPRAxis1")
dJointSetPRAxis2%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPRAxis2")
dJointSetPRParam%(joint%,parameter%,value#)S&=mem:p("devcode_jvode_dJointSetPRParam")
dJointAddPRTorque%(joint%,torque#)S&=mem:p("devcode_jvode_dJointAddPRTorque")
dJointGetPRAnchor%(joint%)S&=mem:p("devcode_jvode_dJointGetPRAnchor")
dJointGetPRPosition#(joint%)S&=mem:p("devcode_jvode_dJointGetPRPosition")
dJointGetPRPositionRate#(joint%)S&=mem:p("devcode_jvode_dJointGetPRPositionRate")
dJointGetPRAxis1%(joint%)S&=mem:p("devcode_jvode_dJointGetPRAxis1")
dJointGetPRAxis2%(joint%)S&=mem:p("devcode_jvode_dJointGetPRAxis2")
dJointGetPRParam#(joint%,parameter%)S&=mem:p("devcode_jvode_dJointGetPRParam")
dJointGetNumBodies%(joint%)S&=mem:p("devcode_jvode_dJointGetNumBodies")
dJointCreatePU%(world%,group%)S&=mem:p("devcode_jvode_dJointCreatePU")
dJointSetPUAnchor%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPUAnchor")
dJointSetPUAnchorDelta%(joint%,x#,y#,z#,dx#,dy#,dz#)S&=mem:p("devcode_jvode_dJointSetPUAnchorDelta")
dJointSetPUAxis1%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPUAxis1")
dJointSetPUAxis2%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPUAxis2")
dJointSetPUAxis3%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPUAxis3")
dJointSetPUAxisP%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPUAxisP")
dJointSetPUParam%(joint%,parameter%,value#)S&=mem:p("devcode_jvode_dJointSetPUParam")
dJointGetPUPosition#(joint%)S&=mem:p("devcode_jvode_dJointGetPUPosition")
dJointGetPUPositionRate#(joint%)S&=mem:p("devcode_jvode_dJointGetPUPositionRate")
dJointGetPUAnchor%(joint%)S&=mem:p("devcode_jvode_dJointGetPUAnchor")
dJointGetPUAxis1%(joint%)S&=mem:p("devcode_jvode_dJointGetPUAxis1")
dJointGetPUAxis2%(joint%)S&=mem:p("devcode_jvode_dJointGetPUAxis2")
dJointGetPUAxis3%(joint%)S&=mem:p("devcode_jvode_dJointGetPUAxis3")
dJointGetPUAxisP%(joint%)S&=mem:p("devcode_jvode_dJointGetPUAxisP")
dJointGetPUAngles%(joint%)S&=mem:p("devcode_jvode_dJointGetPUAngles")
dJointGetPUAngle1#(joint%)S&=mem:p("devcode_jvode_dJointGetPUAngle1")
dJointGetPUAngle2#(joint%)S&=mem:p("devcode_jvode_dJointGetPUAngle2")
dJointGetPUAngle1Rate#(joint%)S&=mem:p("devcode_jvode_dJointGetPUAngle1Rate")
dJointGetPUAngle2Rate#(joint%)S&=mem:p("devcode_jvode_dJointGetPUAngle2Rate")
dJointGetPUParam#(joint%,parameter%)S&=mem:p("devcode_jvode_dJointGetPUParam")
dJointCreatePiston%(world%,group%)S&=mem:p("devcode_jvode_dJointCreatePiston")
dJointSetPistonAnchor%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPistonAnchor")
dJointSetPistonAnchorOffset%(joint%,x#,y#,z#,dx#,dy#,dz#)S&=mem:p("devcode_jvode_dJointSetPistonAnchorOffset")
dJointSetPistonAxis%(joint%,x#,y#,z#)S&=mem:p("devcode_jvode_dJointSetPistonAxis")
dJointSetPistonParam%(joint%,parameter%,value#)S&=mem:p("devcode_jvode_dJointSetPistonParam")
dJointGetPistonAnchor%(joint%)S&=mem:p("devcode_jvode_dJointGetPistonAnchor")
dJointGetPistonAnchor2%(joint%)S&=mem:p("devcode_jvode_dJointGetPistonAnchor2")
dJointGetPistonAxis%(joint%)S&=mem:p("devcode_jvode_dJointGetPistonAxis")
dJointGetPistonPosition#(joint%)S&=mem:p("devcode_jvode_dJointGetPistonPosition")
dJointGetPistonPositionRate#(joint%)S&=mem:p("devcode_jvode_dJointGetPistonPositionRate")
dJointGetPistonAngle#(joint%)S&=mem:p("devcode_jvode_dJointGetPistonAngle")
dJointGetPistonAngleRate#(joint%)S&=mem:p("devcode_jvode_dJointGetPistonAngleRate")
dJointAddPistonForce%(joint%,force#)S&=mem:p("devcode_jvode_dJointAddPistonForce")
dJointGetPistonParam#(joint%,parameter%)S&=mem:p("devcode_jvode_dJointGetPistonParam")
dMassCreate%()S&=mem:p("devcode_jvode_dMassCreate")
dMassDestroy%(mass%)S&=mem:p("devcode_jvode_dMassDestroy")
dMassSetZero%(mass%)S&=mem:p("devcode_jvode_dMassSetZero")
dMassSetParameters%(mass%,themass#,cgx#,cgy#,cgz#,I11#,I22#,I33#,I12#,I13#,I23#)S&=mem:p("devcode_jvode_dMassSetParameters")
dMassSetSphere%(mass%,density#,radius#)S&=mem:p("devcode_jvode_dMassSetSphere")
dMassSetSphereTotal%(mass%,totalmass#,radius#)S&=mem:p("devcode_jvode_dMassSetSphereTotal")
dMassSetCappedCylinder%(mass%,density#,direction%,radius#,length#)S&=mem:p("devcode_jvode_dMassSetCappedCylinder")
dMassSetCappedCylinderTotal%(mass%,totalmass#,direction%,radius#,length#)S&=mem:p("devcode_jvode_dMassSetCappedCylinderTotal")
dMassSetCylinder%(mass%,density#,direction%,radius#,length#)S&=mem:p("devcode_jvode_dMassSetCylinder")
dMassSetCylinderTotal%(mass%,totalmass#,direction%,radius#,length#)S&=mem:p("devcode_jvode_dMassSetCylinderTotal")
dMassSetBox%(mass%,density#,lx#,ly#,lz#)S&=mem:p("devcode_jvode_dMassSetBox")
dMassSetBoxTotal%(mass%,totalmass#,lx#,ly#,lz#)S&=mem:p("devcode_jvode_dMassSetBoxTotal")
dMassSetTriMesh%(mass%,density#,geom%)S&=mem:p("devcode_jvode_dMassSetTriMesh")
dMassSetTriMeshTotal%(mass%,totalmass#,geom%)S&=mem:p("devcode_jvode_dMassSetTriMeshTotal")
dMassAdjust%(mass%,newmass#)S&=mem:p("devcode_jvode_dMassAdjust")
dMassTranslate%(mass%,x#,y#,z#)S&=mem:p("devcode_jvode_dMassTranslate")
dMassRotate%(mass%,pitch#,yaw#,roll#)S&=mem:p("devcode_jvode_dMassRotate")
dMassRotateQuaternion%(mass%,qw#,qx#,qy#,qz#)S&=mem:p("devcode_jvode_dMassRotateQuaternion")
dMassRotateAxisAngle%(mass%,angle#,rx#,ry#,rz#)S&=mem:p("devcode_jvode_dMassRotateAxisAngle")
dMassAdd%(massa%,massb%)S&=mem:p("devcode_jvode_dMassAdd")
dMassCenter%(mass%)S&=mem:p("devcode_jvode_dMassCenter")
dMassSetCapsule%(mass%,density#,direction%,radius#,length#)S&=mem:p("devcode_jvode_dMassSetCapsule")
dMassSetCapsuleTotal%(mass%,totalmass#,direction%,radius#,length#)S&=mem:p("devcode_jvode_dMassSetCapsuleTotal")
dSpaceCollide%(space%,world%,group%)S&=mem:p("devcode_jvode_dSpaceCollide")
dSpaceCollide2%(geom1%,geom2%,world%,group%)S&=mem:p("devcode_jvode_dSpaceCollide2")
dSetInternalSpaceCollideMode%(mode%)S&=mem:p("devcode_jvode_dSetInternalSpaceCollideMode")
dGetInternalSpaceCollideMode%()S&=mem:p("devcode_jvode_dGetInternalSpaceCollideMode")
dSetInternalContactSurfaceMode%(mode%)S&=mem:p("devcode_jvode_dSetInternalContactSurfaceMode")
dGetInternalContactSurfaceMode%()S&=mem:p("devcode_jvode_dGetInternalContactSurfaceMode")
dContactSetMaxContacts%(maxcon%)S&=mem:p("devcode_jvode_dContactSetMaxContacts")
dContactGetMaxContacts%()S&=mem:p("devcode_jvode_dContactGetMaxContacts")
dContactSetMode%(mode%)S&=mem:p("devcode_jvode_dContactSetMode")
dContactGetMode%()S&=mem:p("devcode_jvode_dContactGetMode")
dContactSetMu%(mu#)S&=mem:p("devcode_jvode_dContactSetMu")
dContactGetMu#()S&=mem:p("devcode_jvode_dContactGetMu")
dContactSetMu2%(mu#)S&=mem:p("devcode_jvode_dContactSetMu2")
dContactGetMu2#()S&=mem:p("devcode_jvode_dContactGetMu2")
dContactSetFDir1%(fdir1x#,fdir1y#,fdir1z#)S&=mem:p("devcode_jvode_dContactSetFDir1")
dContactGetFDir1%()S&=mem:p("devcode_jvode_dContactGetFDir1")
dContactSetBounce%(bounce#)S&=mem:p("devcode_jvode_dContactSetBounce")
dContactGetBounce#()S&=mem:p("devcode_jvode_dContactGetBounce")
dContactSetBounceVel%(vel#)S&=mem:p("devcode_jvode_dContactSetBounceVel")
dContactGetBounceVel#()S&=mem:p("devcode_jvode_dContactGetBounceVel")
dContactSetSoftERP%(erp#)S&=mem:p("devcode_jvode_dContactSetSoftERP")
dContactGetSoftERP#()S&=mem:p("devcode_jvode_dContactGetSoftERP")
dContactSetSoftCFM%(cfm#)S&=mem:p("devcode_jvode_dContactSetSoftCFM")
dContactGetSoftCFM#()S&=mem:p("devcode_jvode_dContactGetSoftCFM")
dContactSetMotion1%(motion#)S&=mem:p("devcode_jvode_dContactSetMotion1")
dContactGetMotion1#()S&=mem:p("devcode_jvode_dContactGetMotion1")
dContactSetMotion2%(motion#)S&=mem:p("devcode_jvode_dContactSetMotion2")
dContactGetMotion2#()S&=mem:p("devcode_jvode_dContactGetMotion2")
dContactSetSlip1%(slip#)S&=mem:p("devcode_jvode_dContactSetSlip1")
dContactGetSlip1#()S&=mem:p("devcode_jvode_dContactGetSlip1")
dContactSetSlip2%(slip#)S&=mem:p("devcode_jvode_dContactSetSlip2")
dContactGetSlip2#()S&=mem:p("devcode_jvode_dContactGetSlip2")
dGeomContactSetMode%(geom%,mode%)S&=mem:p("devcode_jvode_dGeomContactSetMode")
dGeomContactGetMode%(geom%)S&=mem:p("devcode_jvode_dGeomContactGetMode")
dGeomContactSetMu%(geom%,mu#)S&=mem:p("devcode_jvode_dGeomContactSetMu")
dGeomContactGetMu#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetMu")
dGeomContactSetMu2%(geom%,mu#)S&=mem:p("devcode_jvode_dGeomContactSetMu2")
dGeomContactGetMu2#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetMu2")
dGeomContactSetFDir1%(geom%,fdir1x#,fdir1y#,fdir1z#)S&=mem:p("devcode_jvode_dGeomContactSetFDir1")
dGeomContactGetFDir1%(geom%)S&=mem:p("devcode_jvode_dGeomContactGetFDir1")
dGeomContactSetBounce%(geom%,bounce#)S&=mem:p("devcode_jvode_dGeomContactSetBounce")
dGeomContactGetBounce#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetBounce")
dGeomContactSetBounceVel%(geom%,vel#)S&=mem:p("devcode_jvode_dGeomContactSetBounceVel")
dGeomContactGetBounceVel#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetBounceVel")
dGeomContactSetSoftERP%(geom%,erp#)S&=mem:p("devcode_jvode_dGeomContactSetSoftERP")
dGeomContactGetSoftERP#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetSoftERP")
dGeomContactSetSoftCFM%(geom%,cfm#)S&=mem:p("devcode_jvode_dGeomContactSetSoftCFM")
dGeomContactGetSoftCFM#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetSoftCFM")
dGeomContactSetMotion1%(geom%,motion#)S&=mem:p("devcode_jvode_dGeomContactSetMotion1")
dGeomContactGetMotion1#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetMotion1")
dGeomContactSetMotion2%(geom%,motion#)S&=mem:p("devcode_jvode_dGeomContactSetMotion2")
dGeomContactGetMotion2#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetMotion2")
dGeomContactSetSlip1%(geom%,slip#)S&=mem:p("devcode_jvode_dGeomContactSetSlip1")
dGeomContactGetSlip1#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetSlip1")
dGeomContactSetSlip2%(geom%,slip#)S&=mem:p("devcode_jvode_dGeomContactSetSlip2")
dGeomContactGetSlip2#(geom%)S&=mem:p("devcode_jvode_dGeomContactGetSlip2")
dGeomContactSetDefaults%(geom%)S&=mem:p("devcode_jvode_dGeomContactSetDefaults")
dGeom1CountCollisions%(geom%)S&=mem:p("devcode_jvode_dGeom1CountCollisions")
dGeom1CollisionGeom%(geom%,index%)S&=mem:p("devcode_jvode_dGeom1CollisionGeom")
dGeom1CollisionX#(geom%,index%)S&=mem:p("devcode_jvode_dGeom1CollisionX")
dGeom1CollisionY#(geom%,index%)S&=mem:p("devcode_jvode_dGeom1CollisionY")
dGeom1CollisionZ#(geom%,index%)S&=mem:p("devcode_jvode_dGeom1CollisionZ")
dGeom1CollisionNX#(geom%,index%)S&=mem:p("devcode_jvode_dGeom1CollisionNX")
dGeom1CollisionNY#(geom%,index%)S&=mem:p("devcode_jvode_dGeom1CollisionNY")
dGeom1CollisionNZ#(geom%,index%)S&=mem:p("devcode_jvode_dGeom1CollisionNZ")
dGeom1CollisionDepth#(geom%,index%)S&=mem:p("devcode_jvode_dGeom1CollisionDepth")
dGeom2CountCollisions%(geom%)S&=mem:p("devcode_jvode_dGeom2CountCollisions")
dGeom2CollisionGeom%(geom%,index%)S&=mem:p("devcode_jvode_dGeom2CollisionGeom")
dGeom2CollisionX#(geom%,index%)S&=mem:p("devcode_jvode_dGeom2CollisionX")
dGeom2CollisionY#(geom%,index%)S&=mem:p("devcode_jvode_dGeom2CollisionY")
dGeom2CollisionZ#(geom%,index%)S&=mem:p("devcode_jvode_dGeom2CollisionZ")
dGeom2CollisionNX#(geom%,index%)S&=mem:p("devcode_jvode_dGeom2CollisionNX")
dGeom2CollisionNY#(geom%,index%)S&=mem:p("devcode_jvode_dGeom2CollisionNY")
dGeom2CollisionNZ#(geom%,index%)S&=mem:p("devcode_jvode_dGeom2CollisionNZ")
dGeom2CollisionDepth#(geom%,index%)S&=mem:p("devcode_jvode_dGeom2CollisionDepth")
dVectorW#()S&=mem:p("devcode_jvode_dVectorW")
dVectorX#()S&=mem:p("devcode_jvode_dVectorX")
dVectorY#()S&=mem:p("devcode_jvode_dVectorY")
dVectorZ#()S&=mem:p("devcode_jvode_dVectorZ")
dGetVersion#()S&=mem:p("devcode_jvode_dGetVersion")
