ModuleInfo "Description: JV-ODE OpenGL 3D Engine"
ModuleInfo "Version: 1.00"
ModuleInfo "Author: Jim Williams"
ModuleInfo "License: See docs/JV-ODE-License.txt"
ModuleInfo "Copyright: Devious Codeworks   2008"
import brl.blitz
import brl.glmax2d
import brl.standardio
import brl.pngloader
import pub.glew
Keys^brl.blitz.Object{
.Frame%&
.KeyPX#&
.KeyPY#&
.KeyPZ#&
.KeySX#&
.KeySY#&
.KeySZ#&
.KeyRW#&
.KeyRX#&
.KeyRY#&
.KeyRZ#&
-New%()="_devcode_jvodeopengl_Keys_New"
-Delete%()="_devcode_jvodeopengl_Keys_Delete"
}="devcode_jvodeopengl_Keys"
Texs^brl.blitz.Object{
.Name$&
.Flags%&
.Blend%&
.XPos#&
.YPos#&
.XScl#&
.YScl#&
.Rot#&
-New%()="_devcode_jvodeopengl_Texs_New"
-Delete%()="_devcode_jvodeopengl_Texs_Delete"
}="devcode_jvodeopengl_Texs"
Brus^brl.blitz.Object{
.Name$&
.Red#&
.Grn#&
.Blu#&
.Alp#&
.Shi#&
.Blend%&
.Fx%&
.TexID%&[]&
-New%()="_devcode_jvodeopengl_Brus_New"
-Delete%()="_devcode_jvodeopengl_Brus_Delete"
}="devcode_jvodeopengl_Brus"
Vrts^brl.blitz.Object{
.X#&
.Y#&
.Z#&
.NX#&
.NY#&
.NZ#&
.Red#&
.Grn#&
.Blu#&
.Alp#&
-New%()="_devcode_jvodeopengl_Vrts_New"
-Delete%()="_devcode_jvodeopengl_Vrts_Delete"
}="devcode_jvodeopengl_Vrts"
Tris^brl.blitz.Object{
.V0%&
.V1%&
.V2%&
-New%()="_devcode_jvodeopengl_Tris_New"
-Delete%()="_devcode_jvodeopengl_Tris_Delete"
}="devcode_jvodeopengl_Tris"
Bone^brl.blitz.Object{
.VertexID%&
.Weight#&
-New%()="_devcode_jvodeopengl_Bone_New"
-Delete%()="_devcode_jvodeopengl_Bone_Delete"
}="devcode_jvodeopengl_Bone"
Node^brl.blitz.Object{
.Name$&
.XPos#&
.YPos#&
.ZPos#&
.XScl#&
.YScl#&
.ZScl#&
.WRot#&
.XRot#&
.YRot#&
.ZRot#&
-New%()="_devcode_jvodeopengl_Node_New"
-Delete%()="_devcode_jvodeopengl_Node_Delete"
}="devcode_jvodeopengl_Node"
B3DSetFile%(File:brl.stream.TStream)="devcode_jvodeopengl_B3DSetFile"
LoadMesh:TMesh(filename$,B3DDebugMode%=0)="devcode_jvodeopengl_LoadMesh"
ReadChunks%(B3DDebugMode%,Tab$=$"")="devcode_jvodeopengl_ReadChunks"
B3DReadString$()="devcode_jvodeopengl_B3DReadString"
B3DReadChunk$()="devcode_jvodeopengl_B3DReadChunk"
B3DExitChunk%()="devcode_jvodeopengl_B3DExitChunk"
B3DChunkSize%()="devcode_jvodeopengl_B3DChunkSize"
TMesh^brl.blitz.Object{
.id%&
.position#&[]&
.rotation#&[]&
.rgba#&[]&
.scale#&[]&
.segment%&[]&
.shine#&
.texture%&
-New%()="_devcode_jvodeopengl_TMesh_New"
-Delete%()="_devcode_jvodeopengl_TMesh_Delete"
-Compare%(obj:Object)="_devcode_jvodeopengl_TMesh_Compare"
}="devcode_jvodeopengl_TMesh"
TLight^brl.blitz.Object{
.position#&[]&
.rotation#&[]&
.rgb#&[]&
-New%()="_devcode_jvodeopengl_TLight_New"
-Delete%()="_devcode_jvodeopengl_TLight_Delete"
}="devcode_jvodeopengl_TLight"
TCamera^brl.blitz.Object{
.position#&[]&
.rotation#&[]&
.clsrgb#&[]&
.source#&[]&
.target#&[]&
.point%&
.parent:TPivot&
-New%()="_devcode_jvodeopengl_TCamera_New"
-Delete%()="_devcode_jvodeopengl_TCamera_Delete"
}="devcode_jvodeopengl_TCamera"
TPivot^brl.blitz.Object{
.position#&[]&
.rotation#&[]&
-New%()="_devcode_jvodeopengl_TPivot_New"
-Delete%()="_devcode_jvodeopengl_TPivot_Delete"
}="devcode_jvodeopengl_TPivot"
Graphics3D%(width#,height#,depth%=0,mode%=2,hertz%=60,flags%=0,shade%=7425)="devcode_jvodeopengl_Graphics3D"
Color%(red#,green#,blue#)="devcode_jvodeopengl_Color"
Text%(xpos%,ypos%,text$)="devcode_jvodeopengl_Text"
Rect%(xpos%,ypos%,width%,height%)="devcode_jvodeopengl_Rect"
RenderWorld%()="devcode_jvodeopengl_RenderWorld"
CreatePlane:TMesh()="devcode_jvodeopengl_CreatePlane"
CreateSphere:TMesh(slices%=14,stacks%=14)="devcode_jvodeopengl_CreateSphere"
CreateCube:TMesh()="devcode_jvodeopengl_CreateCube"
CreateCylinder:TMesh(slices%=8,loops%=1)="devcode_jvodeopengl_CreateCylinder"
CreateCapsule:TMesh(slices%=8,loops%=1,stacks%=14)="devcode_jvodeopengl_CreateCapsule"
PositionMesh%(mesh:TMesh,xpos#,ypos#,zpos#)="devcode_jvodeopengl_PositionMesh"
RotateMesh%(mesh:TMesh,pitch#,yaw#,roll#)="devcode_jvodeopengl_RotateMesh"
ScaleMesh%(mesh:TMesh,xscale#,yscale#,zscale#)="devcode_jvodeopengl_ScaleMesh"
PositionEntity%(obj:Object,xpos#,ypos#,zpos#)="devcode_jvodeopengl_PositionEntity"
RotateEntity%(obj:Object,pitch#,yaw#,roll#)="devcode_jvodeopengl_RotateEntity"
ScaleEntity%(obj:Object,xscale#,yscale#,zscale#)="devcode_jvodeopengl_ScaleEntity"
EntityX#(obj:Object)="devcode_jvodeopengl_EntityX"
EntityY#(obj:Object)="devcode_jvodeopengl_EntityY"
EntityZ#(obj:Object)="devcode_jvodeopengl_EntityZ"
EntityPitch#(obj:Object)="devcode_jvodeopengl_EntityPitch"
EntityYaw#(obj:Object)="devcode_jvodeopengl_EntityYaw"
EntityRoll#(obj:Object)="devcode_jvodeopengl_EntityRoll"
EntityDistance#(source:Object,target:Object)="devcode_jvodeopengl_EntityDistance"
EntityColor%(mesh:TMesh,red#,green#,blue#)="devcode_jvodeopengl_EntityColor"
EntityAlpha%(mesh:TMesh,alpha#)="devcode_jvodeopengl_EntityAlpha"
EntityShininess%(mesh:TMesh,shininess#)="devcode_jvodeopengl_EntityShininess"
EntityTexture%(mesh:TMesh,texture%)="devcode_jvodeopengl_EntityTexture"
CreateLight:TLight()="devcode_jvodeopengl_CreateLight"
AmbientLight%(red#,green#,blue#)="devcode_jvodeopengl_AmbientLight"
LightColor%(light:TLight,red#,green#,blue#)="devcode_jvodeopengl_LightColor"
CreateCamera:TCamera(parent:TPivot="bbNullObject")="devcode_jvodeopengl_CreateCamera"
CameraClsColor%(camera:TCamera,red#,green#,blue#)="devcode_jvodeopengl_CameraClsColor"
CameraRange%(camera:TCamera,near#,far#)="devcode_jvodeopengl_CameraRange"
PointEntity%(source:TPivot,target:TMesh)="devcode_jvodeopengl_PointEntity"
CreatePivot:TPivot()="devcode_jvodeopengl_CreatePivot"
B3DTos%&=mem("devcode_jvodeopengl_B3DTos")
B3DFile:brl.stream.TStream&=mem:p("devcode_jvodeopengl_B3DFile")
B3DStack%&[]&=mem:p("devcode_jvodeopengl_B3DStack")
NFrames%&=mem("devcode_jvodeopengl_NFrames")
NKeys%&=mem("devcode_jvodeopengl_NKeys")
NVerts%&=mem("devcode_jvodeopengl_NVerts")
NTris%&=mem("devcode_jvodeopengl_NTris")
NWeights%&=mem("devcode_jvodeopengl_NWeights")
B3DKeysList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_B3DKeysList")
B3DTexsList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_B3DTexsList")
B3DBrusList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_B3DBrusList")
B3DVrtsList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_B3DVrtsList")
B3DTrisList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_B3DTrisList")
B3DBoneList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_B3DBoneList")
B3DNodeList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_B3DNodeList")
PlaneTexture%&=mem("devcode_jvodeopengl_PlaneTexture")
TerrainTexture%&[]&=mem:p("devcode_jvodeopengl_TerrainTexture")
Quadric%*&=mem:p("devcode_jvodeopengl_Quadric")
TMeshCount%&=mem("devcode_jvodeopengl_TMeshCount")
ViewWidth#&=mem:f("devcode_jvodeopengl_ViewWidth")
ViewHeight#&=mem:f("devcode_jvodeopengl_ViewHeight")
TMeshList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_TMeshList")
TLightList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_TLightList")
TCameraList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_TCameraList")
TPivotList:brl.linkedlist.TList&=mem:p("devcode_jvodeopengl_TPivotList")
